/*
Theme Name: RUMBLE Child
Theme URI: https://tcd-theme.com/tcd058
Template: rumble_tcd058
Author: TCD
Author URI: https://tcd-theme.com/
Description: "RUMBLE" is a WordPress theme for large scale web media. It appeals the scale of the sites with a lot of information that can be seen from the first view, at the same time, it maintains usability with 3 types of mega menus that can be organized systematically.
Version: 2.0.4.1772110810
Updated: 2026-02-26 22:00:10

*/

add_action('rss2_item', function() {
    global $post;

    $modified = get_post_modified_time('r', true, $post);

    if (!$modified) {
        $modified = get_post_time('r', true, $post);
    }

    echo '<gnf:modified>' . esc_html($modified) . '</gnf:modified>' . "\n";
    echo '<media:status state="active" />' . "\n";
}, 20);

add_action('rss2_ns', function() {
    echo 'xmlns:media="http://search.yahoo.com/mrss/" ';
    echo 'xmlns:gnf="http://news.gunosy.com/mediafeed/" ';
});